# Update default branch

Endpoint: POST /code/api/v1/repos/{repo_identifier}/default-branch
Version: 1.0
Security: x-api-key

## Query parameters:

  - `accountIdentifier` (string, required)
    Account Identifier for the Entity.

  - `orgIdentifier` (string)
    Organization Identifier for the Entity.

  - `projectIdentifier` (string)
    Project Identifier for the Entity.

## Path parameters:

  - `repo_identifier` (string, required)

## Request fields (application/json):

  - `name` (string)

## Response 200 fields (application/json):

  - `archived` (boolean)

  - `created` (integer)

  - `created_by` (integer)

  - `default_branch` (string)

  - `deleted` (integer,null)

  - `description` (string)

  - `fork_id` (integer)

  - `git_ssh_url` (string)

  - `git_url` (string)

  - `id` (integer)

  - `identifier` (string)

  - `importing` (boolean)

  - `is_empty` (boolean)

  - `is_favorite` (boolean)

  - `is_public` (boolean)

  - `language` (string)

  - `last_git_push` (integer)

  - `num_closed_pulls` (integer)

  - `num_forks` (integer)

  - `num_merged_pulls` (integer)

  - `num_open_pulls` (integer)

  - `num_pulls` (integer)

  - `parent_id` (integer)

  - `path` (string)

  - `repo_type` (string)

  - `size` (integer)
    size of the repository in KiB

  - `size_lfs` (integer)
    size of the repository LFS in KiB

  - `size_updated` (integer)

  - `state` (integer,null)

  - `tags` (any)

  - `updated` (integer)

  - `upstream` (object)

  - `upstream.default_branch` (string)

  - `upstream.fork_id` (integer)

  - `upstream.id` (integer)

  - `upstream.identifier` (string)

  - `upstream.parent_id` (integer)

  - `upstream.path` (string)

  - `upstream.type` (string)

## Response 400 fields (application/json):

  - `message` (string)

  - `values` (object)


